Index: c/src/lib/libbsp/m68k/sim68000/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/m68k/sim68000/ChangeLog,v
retrieving revision 1.103
diff -p -u -u -r1.103 ChangeLog
--- c/src/lib/libbsp/m68k/sim68000/ChangeLog	4 Dec 2008 20:31:08 -0000	1.103
+++ c/src/lib/libbsp/m68k/sim68000/ChangeLog	24 Apr 2009 07:09:16 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2008-12-04	Joel Sherrill <joel.sherrill@oarcorp.com>
 
 	* bsp_specs: Move -e start from *link to *startfile to avoid warning
Index: c/src/lib/libbsp/m68k/sim68000/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/m68k/sim68000/start/start.S,v
retrieving revision 1.9
diff -p -u -u -r1.9 start.S
--- c/src/lib/libbsp/m68k/sim68000/start/start.S	21 Apr 2004 16:01:36 -0000	1.9
+++ c/src/lib/libbsp/m68k/sim68000/start/start.S	24 Apr 2009 07:09:16 -0000
@@ -381,8 +381,6 @@ zerobss_loop:
         movel   %d0,%a7                         | set master stack pointer
         movel   %d0,%a6                         | set base pointer
 
-	pea	env				| push environp
-	pea	arg				| push argv
 	movel	#0,%a7@-			| push argc
         jsr     boot_card
 	| if this returns, what do we do???
@@ -403,11 +401,8 @@ bsp_exitted:
 
         .sect   .bss
 
-env: .long  0
-arg: .long  0
-
         .global environ
         .align  2
 
 environ:
-        .long   env
+        .long   0
Index: c/src/lib/libbsp/m68k/uC5282/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/m68k/uC5282/ChangeLog,v
retrieving revision 1.94
diff -p -u -u -r1.94 ChangeLog
--- c/src/lib/libbsp/m68k/uC5282/ChangeLog	2 Mar 2009 18:57:11 -0000	1.94
+++ c/src/lib/libbsp/m68k/uC5282/ChangeLog	24 Apr 2009 07:09:16 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2009-03-02	Till Straumann <strauman@slac.stanford.edu>
 
 	PR 1375/bsps
Index: c/src/lib/libbsp/m68k/uC5282/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/m68k/uC5282/start/start.S,v
retrieving revision 1.4
diff -p -u -u -r1.4 start.S
--- c/src/lib/libbsp/m68k/uC5282/start/start.S	12 Mar 2007 11:18:23 -0000	1.4
+++ c/src/lib/libbsp/m68k/uC5282/start/start.S	24 Apr 2009 07:09:16 -0000
@@ -382,13 +382,9 @@ ZEROLOOPTEST:
      * Right : Now we're ready to boot RTEMS
      */
     clrl    d0          | Pass in null to all boot_card() params
-    movel   d0,a7@-         | environp
-    movel   d0,a7@-         | argv
-    movel   d0,a7@-         | argc
+    movel   d0,a7@-         | command line
     jsr SYM(boot_card)      | Call C boot_card function to startup RTEMS
         movel   a7@+,d0
-        movel   a7@+,d0
-        movel   a7@+,d0
 MULTI_TASK_EXIT:
         nop
         nop
Index: c/src/lib/libbsp/mips/csb350/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/mips/csb350/ChangeLog,v
retrieving revision 1.50
diff -p -u -u -r1.50 ChangeLog
--- c/src/lib/libbsp/mips/csb350/ChangeLog	11 Feb 2009 19:49:34 -0000	1.50
+++ c/src/lib/libbsp/mips/csb350/ChangeLog	24 Apr 2009 07:09:16 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2009-02-11	Joel Sherrill <joel.sherrill@oarcorp.com>
 
 	* startup/linkcmds: It appears 16 MB is the configuration.
Index: c/src/lib/libbsp/mips/csb350/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/mips/csb350/start/start.S,v
retrieving revision 1.3
diff -p -u -u -r1.3 start.S
--- c/src/lib/libbsp/mips/csb350/start/start.S	29 Sep 2008 13:09:43 -0000	1.3
+++ c/src/lib/libbsp/mips/csb350/start/start.S	24 Apr 2009 07:09:16 -0000
@@ -89,7 +89,7 @@ zerobss:
 	.ent	init
 init:
 
-	move	a0,zero			/* set argc to 0 */
+	move	a0,zero			/* set command line to 0 */
 	jal	boot_card		/* call the program start function */
 	nop
 
Index: c/src/lib/libbsp/mips/genmongoosev/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/mips/genmongoosev/ChangeLog,v
retrieving revision 1.118
diff -p -u -u -r1.118 ChangeLog
--- c/src/lib/libbsp/mips/genmongoosev/ChangeLog	4 Dec 2008 20:31:19 -0000	1.118
+++ c/src/lib/libbsp/mips/genmongoosev/ChangeLog	24 Apr 2009 07:09:16 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2008-12-04	Joel Sherrill <joel.sherrill@oarcorp.com>
 
 	* bsp_specs: Move -e start from *link to *startfile to avoid warning
Index: c/src/lib/libbsp/mips/genmongoosev/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/mips/genmongoosev/start/start.S,v
retrieving revision 1.14
diff -p -u -u -r1.14 start.S
--- c/src/lib/libbsp/mips/genmongoosev/start/start.S	29 Sep 2008 13:09:46 -0000	1.14
+++ c/src/lib/libbsp/mips/genmongoosev/start/start.S	24 Apr 2009 07:09:16 -0000
@@ -413,7 +413,7 @@ _initialize_rtems:
    sw		k1,0(a0)
    nop
 
-   move		a0,zero         /* set argc to 0 */
+   move		a0,zero         /* set command line to 0 */
    jal		boot_card           /* call the program start function */
    nop
 
Index: c/src/lib/libbsp/mips/hurricane/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/mips/hurricane/ChangeLog,v
retrieving revision 1.41
diff -p -u -u -r1.41 ChangeLog
--- c/src/lib/libbsp/mips/hurricane/ChangeLog	12 Mar 2009 14:18:17 -0000	1.41
+++ c/src/lib/libbsp/mips/hurricane/ChangeLog	24 Apr 2009 07:09:16 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2009-03-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1385/cpukit
Index: c/src/lib/libbsp/mips/hurricane/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/mips/hurricane/start/start.S,v
retrieving revision 1.4
diff -p -u -u -r1.4 start.S
--- c/src/lib/libbsp/mips/hurricane/start/start.S	25 Sep 2008 13:35:04 -0000	1.4
+++ c/src/lib/libbsp/mips/hurricane/start/start.S	24 Apr 2009 07:09:16 -0000
@@ -294,8 +294,7 @@ FRAME(start,sp,0,ra)
 /***********************  END I/O initialization **********************/
 
 
-	move	a0,zero		/* Set argc passed to main */
-	move	a1,zero		/* Set argv passed to main */
+	move	a0,zero		/* Set command line passed to main */
 	jal	boot_card
 	nop
 
Index: c/src/lib/libbsp/mips/jmr3904/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/mips/jmr3904/ChangeLog,v
retrieving revision 1.114
diff -p -u -u -r1.114 ChangeLog
--- c/src/lib/libbsp/mips/jmr3904/ChangeLog	4 Dec 2008 20:31:21 -0000	1.114
+++ c/src/lib/libbsp/mips/jmr3904/ChangeLog	24 Apr 2009 07:09:16 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2008-12-04	Joel Sherrill <joel.sherrill@oarcorp.com>
 
 	* bsp_specs: Move -e start from *link to *startfile to avoid warning
Index: c/src/lib/libbsp/mips/jmr3904/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/mips/jmr3904/start/start.S,v
retrieving revision 1.8
diff -p -u -u -r1.8 start.S
--- c/src/lib/libbsp/mips/jmr3904/start/start.S	29 Sep 2008 13:09:50 -0000	1.8
+++ c/src/lib/libbsp/mips/jmr3904/start/start.S	24 Apr 2009 07:09:16 -0000
@@ -159,7 +159,7 @@ zerobss:
 	.ent	init
 init:
 
-	move	a0,zero				# set argc to 0
+	move	a0,zero				# set command line to 0
 	jal	boot_card			# call the program start function
 	nop
 
Index: c/src/lib/libbsp/mips/rbtx4925/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/mips/rbtx4925/ChangeLog,v
retrieving revision 1.35
diff -p -u -u -r1.35 ChangeLog
--- c/src/lib/libbsp/mips/rbtx4925/ChangeLog	12 Mar 2009 14:18:19 -0000	1.35
+++ c/src/lib/libbsp/mips/rbtx4925/ChangeLog	24 Apr 2009 07:09:16 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2009-03-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1385/cpukit
Index: c/src/lib/libbsp/mips/rbtx4925/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/mips/rbtx4925/start/start.S,v
retrieving revision 1.1
diff -p -u -u -r1.1 start.S
--- c/src/lib/libbsp/mips/rbtx4925/start/start.S	16 Mar 2006 17:34:05 -0000	1.1
+++ c/src/lib/libbsp/mips/rbtx4925/start/start.S	24 Apr 2009 07:09:16 -0000
@@ -35,6 +35,10 @@ LICENSED MATERIAL - PROGRAM PROPERTY OF 
 #include <rtems/mips/idtcpu.h>
 #include <rtems/asm.h>
 
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning Please check and remove these warnings.
+	
 	.extern	mon_flush_cache		
 
 #if 0	
@@ -317,7 +321,6 @@ FRAME(start,sp,0,ra)
 ** End of CPU initialization, ready to start kernel
 */
 	move	a0,zero		/* Set argc passed to main */
-	move	a1,zero		/* Set argv passed to main */
 	jal	boot_card
 	nop
 
Index: c/src/lib/libbsp/mips/rbtx4938/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/mips/rbtx4938/ChangeLog,v
retrieving revision 1.36
diff -p -u -u -r1.36 ChangeLog
--- c/src/lib/libbsp/mips/rbtx4938/ChangeLog	12 Mar 2009 14:18:21 -0000	1.36
+++ c/src/lib/libbsp/mips/rbtx4938/ChangeLog	24 Apr 2009 07:09:16 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2009-03-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1385/cpukit
Index: c/src/lib/libbsp/mips/rbtx4938/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/mips/rbtx4938/start/start.S,v
retrieving revision 1.1
diff -p -u -u -r1.1 start.S
--- c/src/lib/libbsp/mips/rbtx4938/start/start.S	16 Mar 2006 17:41:28 -0000	1.1
+++ c/src/lib/libbsp/mips/rbtx4938/start/start.S	24 Apr 2009 07:09:16 -0000
@@ -35,6 +35,10 @@ LICENSED MATERIAL - PROGRAM PROPERTY OF 
 #include <rtems/mips/idtcpu.h>
 #include <rtems/asm.h>
 
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning Please check and remove these warnings.
+
 /* The following include file was deprecated */
 /* #include <idtmon.h>	*/
 
@@ -318,8 +322,7 @@ FRAME(start,sp,0,ra)
 /*
 ** End of CPU initialization, ready to start kernel
 */
-	move	a0,zero		/* Set argc passed to main */
-	move	a1,zero		/* Set argv passed to main */
+	move	a0,zero		/* Set command line passed to boot_card */
 	jal	boot_card
 	nop
 
Index: c/src/lib/libbsp/powerpc/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/ChangeLog,v
retrieving revision 1.197
diff -p -u -u -r1.197 ChangeLog
--- c/src/lib/libbsp/powerpc/ChangeLog	12 Mar 2009 14:18:32 -0000	1.197
+++ c/src/lib/libbsp/powerpc/ChangeLog	24 Apr 2009 07:09:16 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* shared/start/start.S: Update for boot_card command line change.
+
 2009-03-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1385/cpukit
Index: c/src/lib/libbsp/powerpc/ep1a/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/ep1a/ChangeLog,v
retrieving revision 1.69
diff -p -u -u -r1.69 ChangeLog
--- c/src/lib/libbsp/powerpc/ep1a/ChangeLog	7 Dec 2008 04:30:57 -0000	1.69
+++ c/src/lib/libbsp/powerpc/ep1a/ChangeLog	24 Apr 2009 07:09:16 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2008-12-07	Ralf Corsépius <ralf.corsepius@rtems.org>
 
 	* bsp_specs: Remove -Qy from *link.
Index: c/src/lib/libbsp/powerpc/ep1a/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/ep1a/start/start.S,v
retrieving revision 1.2
diff -p -u -u -r1.2 start.S
--- c/src/lib/libbsp/powerpc/ep1a/start/start.S	29 Apr 2005 13:50:05 -0000	1.2
+++ c/src/lib/libbsp/powerpc/ep1a/start/start.S	24 Apr 2009 07:09:16 -0000
@@ -36,6 +36,11 @@
 #include <bsp.h>
 */
 
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning You need to pass a NULL.
+#warning Please check and remove these warnings.
+	
 #include <rtems/asm.h>
 #include <rtems/score/cpu.h>
 #include <libcpu/io.h>
@@ -120,10 +125,7 @@ __rtems_entry_point:
 	stw	r0,0(sp)		/* clear back chain */
 	stwu	sp,-56(sp)		/* push another stack frame */
 
-        lis	r5,environ@ha
-        la	r5,environ@l(r5)	/* environp */
-	li	r4, 0			/* argv */
-	li	r3, 0			/* argc */
+	li	r3, 0			/* command line */
 
 	/* Let her rip */
 	bl	FUNC_NAME(boot_card)
Index: c/src/lib/libbsp/powerpc/gen5200/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/gen5200/ChangeLog,v
retrieving revision 1.117
diff -p -u -u -r1.117 ChangeLog
--- c/src/lib/libbsp/powerpc/gen5200/ChangeLog	27 Feb 2009 11:25:30 -0000	1.117
+++ c/src/lib/libbsp/powerpc/gen5200/ChangeLog	24 Apr 2009 07:09:16 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2009-02-27	Sebastian Huber <sebastian.huber@embedded-brains.de>
 
 	* bsp_specs: Added crtbegin.o and crtend.o to support global C++
Index: c/src/lib/libbsp/powerpc/gen5200/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/gen5200/start/start.S,v
retrieving revision 1.8
diff -p -u -u -r1.8 start.S
--- c/src/lib/libbsp/powerpc/gen5200/start/start.S	20 Sep 2008 21:39:02 -0000	1.8
+++ c/src/lib/libbsp/powerpc/gen5200/start/start.S	24 Apr 2009 07:09:16 -0000
@@ -89,7 +89,12 @@
 /*   Version history:  1.0                                             */
 /*                                                                     */
 /***********************************************************************/
-   
+
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning You need to pass a NULL.
+#warning Please check and remove these warnings.
+	
 #include <rtems/powerpc/cache.h>
 
 #include <bsp.h>
@@ -420,10 +425,8 @@ skip_ROM_start:
 
 /* clear arguments and do further init. in C (common for RAM/ROM startup) */
 
-        /* Clear argc, argv and envp */
+        /* Clear cmdline */
         xor r3, r3, r3
-        xor r4, r4, r4
-        xor r5, r5, r5
         
         bl      SYM (boot_card)			/* Call the first C routine */
 
Index: c/src/lib/libbsp/powerpc/gen83xx/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/gen83xx/ChangeLog,v
retrieving revision 1.78
diff -p -u -u -r1.78 ChangeLog
--- c/src/lib/libbsp/powerpc/gen83xx/ChangeLog	19 Mar 2009 10:49:55 -0000	1.78
+++ c/src/lib/libbsp/powerpc/gen83xx/ChangeLog	24 Apr 2009 07:09:17 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2009-03-18	Thomas Doerfler <Thomas.Doerfler@embedded-brains.de>
 
 	* start/start.S, include/hwreg_vals.h, startup/cpuinit.c:
Index: c/src/lib/libbsp/powerpc/gen83xx/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/gen83xx/start/start.S,v
retrieving revision 1.7
diff -p -u -u -r1.7 start.S
--- c/src/lib/libbsp/powerpc/gen83xx/start/start.S	19 Mar 2009 10:49:55 -0000	1.7
+++ c/src/lib/libbsp/powerpc/gen83xx/start/start.S	24 Apr 2009 07:09:17 -0000
@@ -18,6 +18,12 @@
 \*===============================================================*/
 /* $Id: start.S,v 1.7 2009/03/19 10:49:55 thomas Exp $ */   
 
+
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning You need to pass a NULL.
+#warning Please check and remove these warnings.
+	
 #include <libcpu/powerpc-utility.h> 
 #include <rtems/powerpc/cache.h>
 #include <bsp.h>
@@ -446,10 +452,8 @@ start_code_in_ram:	
 
 /* clear arguments and do further init. in C (common for RAM/ROM startup) */
 
-        /* Clear argc, argv and envp */
+        /* Clear cmdline */
         xor r3, r3, r3
-        xor r4, r4, r4
-        xor r5, r5, r5
 
         bl      SYM (boot_card)  /* Call the first C routine */
 	
Index: c/src/lib/libbsp/powerpc/haleakala/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/haleakala/ChangeLog,v
retrieving revision 1.19
diff -p -u -u -r1.19 ChangeLog
--- c/src/lib/libbsp/powerpc/haleakala/ChangeLog	18 Dec 2008 18:51:28 -0000	1.19
+++ c/src/lib/libbsp/powerpc/haleakala/ChangeLog	24 Apr 2009 07:09:17 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* dlentry/dlentry.S: Update for boot_card command line change.
+
 2008-12-18	Michael Hamel <nigel@adi.co.nz>
 
 	PR 1349/bsps
Index: c/src/lib/libbsp/powerpc/haleakala/dlentry/dlentry.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/haleakala/dlentry/dlentry.S,v
retrieving revision 1.1
diff -p -u -u -r1.1 dlentry.S
--- c/src/lib/libbsp/powerpc/haleakala/dlentry/dlentry.S	14 Jul 2008 08:45:02 -0000	1.1
+++ c/src/lib/libbsp/powerpc/haleakala/dlentry/dlentry.S	24 Apr 2009 07:09:17 -0000
@@ -40,6 +40,11 @@
  *  Id: dlentry.S,v 1.2 2000/08/02 16:30:57 joel Exp
  */
 
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning You need to pass a NULL.
+#warning Please check and remove these warnings.
+	
 #include <rtems/asm.h>
 
 /*
@@ -137,10 +142,7 @@ text_length:
 
 			bl		__eabi				/* Initialise EABI: sets up r2 & r13 */
 			
-			lis		r5,environ@ha
-			la		r5,environ@l(r5)	/* environp */
-			li		r4, 0			/* argv */
-			li		r3, 0			/* argc */
+			li		r3, 0			/* command line */
 			
 			b       SYM (boot_card) 	 /* call the first C routine */
 
Index: c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog,v
retrieving revision 1.155
diff -p -u -u -r1.155 ChangeLog
--- c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	12 Mar 2009 14:18:26 -0000	1.155
+++ c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	24 Apr 2009 07:09:17 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* startup/start.S: Update for boot_card command line change.
+
 2009-03-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1385/cpukit
Index: c/src/lib/libbsp/powerpc/mbx8xx/startup/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/mbx8xx/startup/start.S,v
retrieving revision 1.10
diff -p -u -u -r1.10 start.S
--- c/src/lib/libbsp/powerpc/mbx8xx/startup/start.S	12 Sep 2005 13:32:58 -0000	1.10
+++ c/src/lib/libbsp/powerpc/mbx8xx/startup/start.S	24 Apr 2009 07:09:17 -0000
@@ -47,6 +47,11 @@
  * Copyright (c) 1999, National Research Council of Canada
  */
 
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning You need to pass a NULL.
+#warning Please check and remove these warnings.
+	
 #include <rtems/asm.h>
 
 /*
@@ -322,9 +327,8 @@ ledblink2:	
 #endif
 	lis	r5,environ@ha
         la	r5,environ@l(r5)		/* environp */
-        /* clear argc and argv */
+        /* clear argc command line */
         xor     r3, r3, r3
-        xor     r4, r4, r4
 
         EXTERN_PROC (boot_card)
         bl       PROC (boot_card)	/* call the first C routine */
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/mpc55xxevb/ChangeLog,v
retrieving revision 1.32
diff -p -u -u -r1.32 ChangeLog
--- c/src/lib/libbsp/powerpc/mpc55xxevb/ChangeLog	12 Feb 2009 15:57:09 -0000	1.32
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/ChangeLog	24 Apr 2009 07:09:17 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* startup/start.S: Update for boot_card command line change.
+
 2009-02-12	Joel Sherrill <joel.sherrill@oarcorp.com>
 
 	* startup/bspstart.c: Change prototype of IDLE thread to consistently
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start.S,v
retrieving revision 1.2
diff -p -u -u -r1.2 start.S
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start.S	5 Aug 2008 13:32:58 -0000	1.2
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start.S	24 Apr 2009 07:09:17 -0000
@@ -18,6 +18,11 @@
  * LICENSE in this distribution or at http://www.rtems.com/license/LICENSE.
  */
 
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning You need to pass a NULL.
+#warning Please check and remove these warnings.
+	
 /**
  * @defgroup mpc55xx_asm Assembler files
  *
@@ -207,10 +212,8 @@ start:
  * Start RTEMS
  */
 
-	/* Clear argc, argv and envp */
+	/* Clear command line */
 	xor r3, r3, r3
-	xor r4, r4, r4
-	xor r5, r5, r5
 	
 	/* Start RTEMS */
 	bl SYM (boot_card)
Index: c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog,v
retrieving revision 1.134
diff -p -u -u -r1.134 ChangeLog
--- c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	12 Mar 2009 14:18:28 -0000	1.134
+++ c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	24 Apr 2009 07:09:17 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2009-03-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1385/cpukit
Index: c/src/lib/libbsp/powerpc/mpc8260ads/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/mpc8260ads/start/start.S,v
retrieving revision 1.7
diff -p -u -u -r1.7 start.S
--- c/src/lib/libbsp/powerpc/mpc8260ads/start/start.S	5 Aug 2008 13:33:02 -0000	1.7
+++ c/src/lib/libbsp/powerpc/mpc8260ads/start/start.S	24 Apr 2009 07:09:17 -0000
@@ -33,6 +33,11 @@
 
 #include <rtems/asm.h>
 
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning You need to pass a NULL.
+#warning Please check and remove these warnings.
+	
 /*
  *  The initial stack is set to run BELOW the code base address.
  *  (between the vectors and text sections)
@@ -139,10 +144,8 @@ text_length:
         /* Set up stack pointer = beginning of text section - 56 */
         addi    r1, r1, -56-4
 
-        /* Clear argc, argv and envp */
+        /* Clear cmdline */
         xor r3, r3, r3
-        xor r4, r4, r4
-        xor r5, r5, r5
 
         .extern SYM (boot_card)
         bl       SYM (boot_card)	/* call the first C routine */
Index: c/src/lib/libbsp/powerpc/mvme3100/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/mvme3100/ChangeLog,v
retrieving revision 1.31
diff -p -u -u -r1.31 ChangeLog
--- c/src/lib/libbsp/powerpc/mvme3100/ChangeLog	5 Mar 2009 21:17:54 -0000	1.31
+++ c/src/lib/libbsp/powerpc/mvme3100/ChangeLog	24 Apr 2009 07:09:17 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2009-03-05	Till Straumann <strauman@slac.stanford.edu>
 
 	* include/bsp.h, start/start.S, startup/bspstart.c: 
Index: c/src/lib/libbsp/powerpc/mvme3100/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/mvme3100/start/start.S,v
retrieving revision 1.3
diff -p -u -u -r1.3 start.S
--- c/src/lib/libbsp/powerpc/mvme3100/start/start.S	5 Mar 2009 21:17:55 -0000	1.3
+++ c/src/lib/libbsp/powerpc/mvme3100/start/start.S	24 Apr 2009 07:09:17 -0000
@@ -19,6 +19,11 @@
 
 #include <bspopts.h>
 
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning You need to pass a NULL.
+#warning Please check and remove these warnings.
+	
 #define SYNC \
 	sync; \
 	isync
@@ -82,9 +87,6 @@ __rtems_entry_point:
 	 * We are now in a environment that is totally independent from 
 	 * bootloader setup.
 	 */
-	lis	r5,environ@ha
-	la	r5,environ@l(r5)	/* environp */
-	li	r4, 0			/* argv */
-	li	r3, 0			/* argc */
+	li	r3, 0			/* command line */
 	bl	boot_card
 	/* point of no return: reset board here ? */
Index: c/src/lib/libbsp/powerpc/mvme5500/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/mvme5500/ChangeLog,v
retrieving revision 1.104
diff -p -u -u -r1.104 ChangeLog
--- c/src/lib/libbsp/powerpc/mvme5500/ChangeLog	6 Feb 2009 09:29:07 -0000	1.104
+++ c/src/lib/libbsp/powerpc/mvme5500/ChangeLog	24 Apr 2009 07:09:17 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2009-02-06	Ralf Corsépius <ralf.corsepius@rtems.org>
 
 	* Makefile.am: Add network_CPPFLAGS += -D__BSD_VISIBLE.
Index: c/src/lib/libbsp/powerpc/mvme5500/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/mvme5500/start/start.S,v
retrieving revision 1.5
diff -p -u -u -r1.5 start.S
--- c/src/lib/libbsp/powerpc/mvme5500/start/start.S	3 Nov 2005 01:57:27 -0000	1.5
+++ c/src/lib/libbsp/powerpc/mvme5500/start/start.S	24 Apr 2009 07:09:17 -0000
@@ -13,6 +13,11 @@
  * 
  */
 
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning You need to pass a NULL.
+#warning Please check and remove these warnings.
+	
 #include <rtems/asm.h>
 #include <rtems/score/cpu.h>
 #include <rtems/powerpc/powerpc.h>
@@ -126,10 +131,7 @@ enter_C_code:
 	/*
 	 * We are know in a environment that is totally independent from bootloader setup.
 	 */
-        lis	r5,environ@ha
-        la	r5,environ@l(r5)	/* environp */
-	li	r4, 0			/* argv */
-	li	r3, 0			/* argc */
+	li	r3, 0			/* command line */
 	bl	boot_card
 	bl	_return_to_ppcbug
 	
Index: c/src/lib/libbsp/powerpc/psim/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/psim/ChangeLog,v
retrieving revision 1.161
diff -p -u -u -r1.161 ChangeLog
--- c/src/lib/libbsp/powerpc/psim/ChangeLog	7 Dec 2008 04:31:04 -0000	1.161
+++ c/src/lib/libbsp/powerpc/psim/ChangeLog	24 Apr 2009 07:09:17 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2008-12-07	Ralf Corsépius <ralf.corsepius@rtems.org>
 
 	* bsp_specs: Remove -Qy from *link.
Index: c/src/lib/libbsp/powerpc/psim/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/psim/start/start.S,v
retrieving revision 1.8
diff -p -u -u -r1.8 start.S
--- c/src/lib/libbsp/powerpc/psim/start/start.S	23 Sep 2008 17:30:01 -0000	1.8
+++ c/src/lib/libbsp/powerpc/psim/start/start.S	24 Apr 2009 07:09:17 -0000
@@ -17,6 +17,11 @@
  *  $Id: start.S,v 1.8 2008/09/23 17:30:01 joel Exp $
  */
 
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning You need to pass a NULL.
+#warning Please check and remove these warnings.
+
 #include <rtems/asm.h>
 #include <rtems/score/cpu.h>
 #include <libcpu/io.h>
@@ -105,10 +110,7 @@ _start:
 	stwu	sp,-56(sp)		/* push another stack frame */
 	bl  FUNC_NAME(__eabi)
 
-        lis	r5,environ@ha
-        la	r5,environ@l(r5)	/* environp */
-	li	r4, 0			/* argv */
-	li	r3, 0			/* argc */
+	li	r3, 0			/* command line */
 
 	/* Let her rip */
 	bl	FUNC_NAME(boot_card)
Index: c/src/lib/libbsp/powerpc/score603e/ChangeLog
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/score603e/ChangeLog,v
retrieving revision 1.162
diff -p -u -u -r1.162 ChangeLog
--- c/src/lib/libbsp/powerpc/score603e/ChangeLog	26 Feb 2009 17:37:43 -0000	1.162
+++ c/src/lib/libbsp/powerpc/score603e/ChangeLog	24 Apr 2009 07:09:17 -0000
@@ -1,3 +1,7 @@
+2009-04-23	Chris Johns <chrisj@rtems.org>
+
+	* start/start.S: Update for boot_card command line change.
+
 2009-02-26	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* irq/irq.c: Add bsp_interrupt_handler_default() so this BSP will link.
Index: c/src/lib/libbsp/powerpc/score603e/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/score603e/start/start.S,v
retrieving revision 1.8
diff -p -u -u -r1.8 start.S
--- c/src/lib/libbsp/powerpc/score603e/start/start.S	3 Sep 2008 20:36:21 -0000	1.8
+++ c/src/lib/libbsp/powerpc/score603e/start/start.S	24 Apr 2009 07:09:17 -0000
@@ -17,6 +17,11 @@
  *  $Id: start.S,v 1.8 2008/09/03 20:36:21 joel Exp $
  */
 
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning You need to pass a NULL.
+#warning Please check and remove these warnings.
+	
 #include "ppc-asm.h"
 
 	.file	"start.s"
@@ -114,10 +119,7 @@ past_constants:
 	stw	r0,0(sp)		/* clear back chain */
 	stwu	sp,-56(sp)		/* push another stack frame */
 
-        lis	r5,environ@ha
-        la	r5,environ@l(r5)	/* environp */
-	li	r4, 0			/* argv */
-	li	r3, 0			/* argc */
+	li	r3, 0			/* command line */
 	/* Let her rip */
 	bl	FUNC_NAME(boot_card)
 
Index: c/src/lib/libbsp/powerpc/shared/start/start.S
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/shared/start/start.S,v
retrieving revision 1.21
diff -p -u -u -r1.21 start.S
--- c/src/lib/libbsp/powerpc/shared/start/start.S	19 Sep 2008 20:41:36 -0000	1.21
+++ c/src/lib/libbsp/powerpc/shared/start/start.S	24 Apr 2009 07:09:17 -0000
@@ -11,6 +11,11 @@
  *
  */
 
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning You need to pass a NULL.
+#warning Please check and remove these warnings.
+	
 #include <rtems/asm.h>
 #include <rtems/score/cpu.h>
 #include <rtems/powerpc/powerpc.h>
@@ -112,10 +117,7 @@ enter_C_code:
 	 * We are now in a environment that is totally independent from 
          * bootloader setup.
 	 */
-        lis	r5,environ@ha
-        la	r5,environ@l(r5)	/* environp */
-	li	r4, 0			/* argv */
-	li	r3, 0			/* argc */
+	li	r3, 0			/* command line */
 	bl	boot_card
 	bl	_return_to_ppcbug
 
